Bug 333808 - DAV resource asks for password, while kwallet password dialog is still open
Summary: DAV resource asks for password, while kwallet password dialog is still open
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 07:42 UTC by Sander van Grieken
Modified: 2014-08-31 20:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sander van Grieken 2014-04-24 07:42:52 UTC
I have configured a DAV resource (CalDAV + CardDAV) whose password is stored in kwallet. Upon logging in to my desktop, a kwallet password dialog is shown (as is expected). If I'm fast enough I open the wallet and the DAV resource uses the password stored in kwallet. If not, the DAV resource opens a dialog asking for the DAV resource's password.

Reproducible: Always

Steps to Reproduce:
1. Configure a DAV resource w. CalDAV and CardDAV 
2. Make sure it uses KWallet for password storage
3. Log out & Log in
4. Observe the resource requesting access to the wallet
5. Don't fill in the wallet password, leave the dialog open
Actual Results:  
The DAV resource opens a password dialog

Expected Results:  
The DAV resource waits until the KWallet password dialog is closed, either by opening it using the wallet password, or cancelled by pressing Cancel.

(like other resources do)
Comment 1 Frédéric COIFFIER 2014-05-06 15:05:01 UTC
Same problem with Gentoo and KDE 4.13.0
Comment 2 Erik Quaeghebeur 2014-08-13 15:06:34 UTC
I can confirm this issue on 4.12.5.
Comment 3 Grégory Oestreicher 2014-08-30 10:17:52 UTC
Git commit 7f45edca55f08b9e0c62f0852b010d5e888a4087 by Grégory Oestreicher.
Committed on 29/08/2014 at 18:42.
Pushed by goestreicher into branch 'dav-fix-4.13'.

Don't prompt for a password unless KWallet is disabled

M  +1    -1    resources/dav/resource/davgroupwareresource.cpp
M  +17   -10   resources/dav/resource/settings.cpp

http://commits.kde.org/kdepim-runtime/7f45edca55f08b9e0c62f0852b010d5e888a4087
Comment 4 Grégory Oestreicher 2014-08-30 10:17:54 UTC
Git commit ebd22c1b8d0ae8f457aba491c14557b9ddb627eb by Grégory Oestreicher.
Committed on 29/08/2014 at 18:42.
Pushed by goestreicher into branch 'dav-fix-4.14'.

Don't prompt for a password unless KWallet is disabled

M  +1    -1    resources/dav/resource/davgroupwareresource.cpp
M  +17   -10   resources/dav/resource/settings.cpp

http://commits.kde.org/kdepim-runtime/ebd22c1b8d0ae8f457aba491c14557b9ddb627eb
Comment 5 Grégory Oestreicher 2014-08-30 10:20:18 UTC
Git commit e51f66636bd1daef4cd2e228ed6bab29072e09bb by Grégory Oestreicher.
Committed on 29/08/2014 at 18:42.
Pushed by goestreicher into branch 'KDE/4.14'.

Don't prompt for a password unless KWallet is disabled
FIXED-IN: 4.14.1

M  +1    -1    resources/dav/resource/davgroupwareresource.cpp
M  +17   -10   resources/dav/resource/settings.cpp

http://commits.kde.org/kdepim-runtime/e51f66636bd1daef4cd2e228ed6bab29072e09bb
Comment 6 Sander van Grieken 2014-08-31 20:12:11 UTC
thanks for this fix, much appreciated!